import { WindowSrv } from './window.service';
import { Renderer, Optional } from '@angular/core';
export declare class ClipboardService {
    private document;
    private windowService;
    private tempTextArea;
    private window;
    constructor(document: any, windowService: WindowSrv);
    readonly isSupported: boolean;
    isTargetValid(element: HTMLInputElement | HTMLTextAreaElement): boolean;
    /**
     * copyFromInputElement
     */
    copyFromInputElement(targetElm: HTMLInputElement | HTMLTextAreaElement, renderer: Renderer): boolean;
    /**
     * Creates a fake textarea element, sets its value from `text` property,
     * and makes a selection on it.
     */
    copyFromContent(content: string, renderer: Renderer): boolean;
    destroy(): void;
    private selectTarget(inputElement, renderer);
    private copyText();
    private clearSelection(inputElement, window);
    private createTempTextArea(doc, window);
}
export declare function CLIPBOARD_SERVICE_PROVIDER_FACTORY(windowSrv: WindowSrv, parentDispatcher: ClipboardService): ClipboardService;
export declare const CLIPBOARD_SERVICE_PROVIDER: {
    provide: typeof ClipboardService;
    deps: (typeof WindowSrv | Optional[])[];
    useFactory: (windowSrv: WindowSrv, parentDispatcher: ClipboardService) => ClipboardService;
};
